> For a complete page index, fetch https://developer.close.com/llms.txt # Fetch a single contact GET https://api.close.com/api/v1/contact/{id}/ Reference: https://developer.close.com/api/resources/contacts/get ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `id` (string, required) ### Query parameters - `_fields` (string, optional) — Comma-separated list of fields to include in the response. ## Response ### 200 Successful response - `created_by` (string, required, nullable) - `date_created` (datetime, required) - `date_updated` (datetime, required) - `display_name` (string, required) - `id` (string, required) - `name` (string, required, nullable) - `organization_id` (string, required) - `title` (string, required, nullable) - `updated_by` (string, required, nullable) - `emails` (list of ContactEmail, optional) - `integration_links` (list of RenderedIntegrationLink, optional) - `lead_id` (string, optional, nullable) - `lead_suggestions_operation_id` (string, optional, nullable) - `phones` (list of ContactPhone, optional) - `recent_calls` (list of ContactRecentCall, optional) - `subscriptions` (list of BasicSubscriptionInfoForContact, optional) - `timezone` (string, optional, nullable) - `timezone_source` (string, optional, nullable) - `urls` (list of ContactUrl, optional) ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Types ### ContactEmail - `email` (string, required) - `is_unsubscribed` (boolean, required) - `type` (string, required) ### RenderedIntegrationLink - `name` (string, required) - `url` (string, required) ### ContactPhone - `phone` (string, required) - `type` (string, required) - `country` (string, optional, nullable) - `outbound_sms_blocked` (boolean, optional) - `phone_formatted` (string, optional) - `tz_ids` (list of string, optional) ### ContactRecentCall - `dialer_id` (string, required, nullable) - `duration` (integer, required) - `finish_timestamp` (datetime, required) - `id` (string, required) - `status` (enum, required) — Current status of the call. - Allowed values: `created`, `in-progress`, `completed`, `cancel`, `no-answer`, `busy`, `failed`, `timeout` ### BasicSubscriptionInfoForContact - `contact_email` (string, required, nullable) - `date_created` (datetime, required) - `initial_email_id` (string, required, nullable) - `sequence_id` (string, required) - `sequence_name` (string, required) - `sequence_status` (enum, required) - Allowed values: `active`, `paused`, `draft` - `start_date` (datetime, required, nullable) - `subscription_id` (string, required) - `subscription_status` (enum, required) - Allowed values: `active`, `paused`, `finished`, `goal`, `error` - `subscription_status_reason` (enum, required, nullable) — Reason for each higher level status on a Workflow run. - Allowed values: `manual`, `pending-call-timed-out`, `bulk-action`, `rate-limited`, `sequence-deleted`, `workflow-paused`, `filter-not-matched`, `insufficient-ai-credit-balance`, `plan-not-supported`, `reply-received`, `call-answered`, `meeting-booked`, `lead-status-changed`, `outcome-met`, `account-invalid`, `account-failures`, `sending-throttled-too-long`, `membership-inactive`, `send-as-error`, `email-bounced`, `call-failed`, `sms-failed`, `no-user-phone`, `billing-error`, `assignment-field-invalid`, `lead-status-field-invalid`, `assignees-missing`, `run-as-disabled`, `lead-not-visible`, `internal-error`, `field-mapping-error`, `filter-config-invalid`, `email-ai-generation-failed` ### ContactUrl - `type` (string, required) - `url` (string, required) ## Examples **Response** ```json { "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2013-02-20T05:44:35.625000+00:00", "date_updated": "2013-02-20T05:44:35.625000+00:00", "display_name": "Gob", "id": "cont_3lUrUYmceYjzeqrIqF5jpSppZemyxvgquE8Oq1kM6p0", "name": "Gob", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "title": "sr. vice president", "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "emails": [ { "email": "gob@example.com", "is_unsubscribed": false, "type": "office" } ], "lead_id": "lead_etYl6PwL12hkj14567kjolJwZuZehb9b85EDH9CKuAI", "phones": [ { "phone": "+18004445555", "type": "office", "country": "US", "phone_formatted": "+1 800-444-5555" } ] } ``` **SDK Code** ```python contacts_get_example import requests url = "https://api.close.com/api/v1/contact/id/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript contacts_get_example const url = 'https://api.close.com/api/v1/contact/id/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go contacts_get_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/contact/id/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby contacts_get_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/contact/id/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java contacts_get_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/contact/id/") .basicAuth("", "") .asString(); ``` ```php contacts_get_example request('GET', 'https://api.close.com/api/v1/contact/id/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp contacts_get_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/contact/id/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```